declare const roachConfig: {
    kafka: {
        consumer: {
            noptions: {
                "metadata.broker.list": string;
                "group.id": string;
                "api.version.request": boolean;
                "socket.keepalive.enable": boolean;
            };
            tconf: {
                "auto.offset.reset": string;
            };
        };
        batchOptions: {
            batchSize: number;
            commitEveryNBatch: number;
            concurrency: number;
            commitSync: boolean;
            noBatchCommits: boolean;
            manualBatching: boolean;
            sortedManualBatch: boolean;
        };
    };
    discovery: {
        enabled: boolean;
        scanMs: number;
        topicBlacklist: never[];
    };
    mongo: {
        url: string;
        options: {
            keepAlive: number;
            autoIndex: boolean;
            reconnectTries: number;
            reconnectInterval: number;
            poolSize: number;
        };
    };
    http: {
        port: number;
        access: {
            token1: string[];
            token2: string[];
            token3: string;
        };
    };
    pubSubConfig: {
        projectId: string;
    };
    pubSubToKafkaTopicName: null;
    gcf: {
        metrics: {
            pubSubMetricTopic: null;
            counterLabels: never[];
            gaugeLabels: never[];
            prefix: string;
        };
    };
};
export { roachConfig, };
//# sourceMappingURL=exampleConfig.d.ts.map