import RoachStorm from "./RoachStorm";
import { SortedMessageBatch } from "sinek";
import { TopicConfig } from "./interfaces/TopicConfig";
export default class MessageHandler {
    private readonly mongoPoller;
    private readonly metrics;
    private readonly mongoWrapper;
    private readonly pubSubHandler;
    constructor(roachStorm: RoachStorm);
    findConfigForTopic(topic: string): TopicConfig | null;
    handleSortedMessageBatch(sortedBatch: SortedMessageBatch): Promise<string[][][][]>;
    private processMessagesOnPipe;
    private publishMessagesChunkified;
    private handleMessage;
}
//# sourceMappingURL=MessageHandler.d.ts.map