import * as promClient from "prom-client";
export declare class Metrics {
    private prefix;
    private defaultCounterLabels;
    private defaultGaugeLabels;
    private register;
    private defaultMetricsIntv;
    private metrics;
    constructor(prefix?: string, defaultCounterLabels?: string[], defaultGaugeLabels?: string[]);
    exportType(): string;
    exportMetrics(): string;
    getRegister(): promClient.Registry;
    private cleanMetricName;
    private cleanLabels;
    private getCounter;
    private getGauge;
    inc(key: string, val?: number, labels?: {
        [labelName: string]: string;
    }): void;
    set(key: string, val: number, labels?: {
        [labelName: string]: string;
    }): void;
    registerDefault(): void;
    close(): void;
}
//# sourceMappingURL=Metrics.d.ts.map