import RoachStorm from "../RoachStorm";
import { KafkaConfig } from "../interfaces";
export default class Producer {
    private readonly config;
    private readonly roachStorm;
    private producer;
    private producedLately;
    private intv;
    constructor(config: KafkaConfig, roachStorm: RoachStorm);
    start(): Promise<void>;
    produceMessage(topic: string, partition?: number | null, key?: string | null, value?: any): Promise<any>;
    produceTombstone(topic: string, key: string, partition?: any): Promise<any>;
    getKafkaStats(): {};
    getTopicMetadata(): Promise<any>;
    close(): Promise<void>;
}
//# sourceMappingURL=Producer.d.ts.map