import { Subscription } from "@google-cloud/pubsub";
import { RoachConfig } from "./interfaces";
import RoachStorm from "./RoachStorm";
export default class PubSubHandler {
    private client;
    private roachStorm;
    constructor(config: RoachConfig, roachStorm: RoachStorm);
    publish(topic: string, message: string): Promise<string>;
    subscribe(topicName: string, subscriptionName?: string): Promise<Subscription>;
}
//# sourceMappingURL=PubSubHandler.d.ts.map