/// <reference types="node" />
import * as EventEmitter from "events";
import MongoWrapper from "./MongoWrapper";
import { TopicConfig } from "../interfaces";
import { Metrics } from "../Metrics";
export default class MongoPoller extends EventEmitter {
    collected: {
        topicConfigs: TopicConfig[];
    };
    private readonly metrics;
    private readonly topicConfigModel;
    private intv;
    private topicConfigHash;
    constructor(mongoWrapper: MongoWrapper, metrics: Metrics);
    start(intervalMs?: number): Promise<void>;
    close(): void;
    getCollected(): {
        topicConfigs: TopicConfig[];
    };
    private onInterval;
}
//# sourceMappingURL=MongoPoller.d.ts.map