import { MongoConfig } from "../interfaces";
import RoachStorm from "../RoachStorm";
import { TopicConfigModel, StateModel } from "./models";
export default class MongoWrapper {
    private readonly config;
    private readonly models;
    constructor(config: MongoConfig, roachStorm: RoachStorm);
    private loadModels;
    private connectToMongoDB;
    private connect;
    isConnected(): boolean;
    start(): Promise<boolean>;
    getTopicConfig(): TopicConfigModel;
    getSharedState(): StateModel;
    close(): void;
}
//# sourceMappingURL=MongoWrapper.d.ts.map