import RoachStorm from "../../RoachStorm";
import { Metrics } from "../../Metrics";
declare const STATE_KEYS: {
    noModel: boolean;
    ENABLE_METADATA_JOB: string;
};
export declare class StateModel {
    readonly metrics: Metrics;
    readonly name: string;
    private model;
    constructor(roachStorm: RoachStorm);
    registerModel(mongoose: any, schemaConstructor: any): void;
    list(): Promise<Array<{
        key: string;
        val: string;
    }>>;
    get(key: string): Promise<string | null>;
    set(key: string, val: string): Promise<string>;
    del(key: string): Promise<void>;
    truncateCollection(): any;
}
export { STATE_KEYS };
//# sourceMappingURL=StateModel.d.ts.map