import { NConsumer } from "sinek";
import RoachStorm from "../RoachStorm";
import { KafkaConfig } from "../interfaces";
export default class Consumer {
    private readonly config;
    private readonly roachStorm;
    private consumer;
    private consumedLately;
    private intv;
    constructor(config: KafkaConfig, roachStorm: RoachStorm);
    private processMessagesWithRetry;
    start(): Promise<void>;
    getAnalytics(): object | null;
    getLagStatus(): Promise<import("sinek").LagStatus[]> | null;
    adjustSubscriptions(topics: string[]): void;
    getKafkaClient(): NConsumer | null;
    getKafkaStats(): {};
    getTopicMetadata(): Promise<any>;
    close(): Promise<void>;
}
//# sourceMappingURL=Consumer.d.ts.map